<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AFAPricing extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'afa_pricing';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'package_id',
        'role_id',
        'price',
        'status'
    ];

    /**
     * Get the package associated with the pricing.
     */
    public function package()
    {
        return $this->belongsTo(AFAPackage::class, 'package_id');
    }

    /**
     * Get the role associated with the pricing.
     */
    public function role()
    {
        return $this->belongsTo(Role::class);
    }
}